Bug 163959 - atiixp spin_lock in Asus P4R800-VM motherboard
atiixp spin_lock in Asus P4R800-VM motherboard
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-22 09:36 EDT by Shan-Bin Chen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 02:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shan-Bin Chen 2005-07-22 09:36:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
In FC3 and FC4 the kernels are unable to boot with Grub & Lilo beside the versions , "2.6.9-1.667" & "2.6.9-1.681" .

If I run the debug mode in Grub, I will get :

ide:failed opcode was:unknown
hdc:DMA disable
Kernel panic: drivers/ide/pci/atiixp.c:129,spin_lock(drivers/ide/ide.c:c03e8788) already locked by drivers/ide/ide-iops.c/1167 (no trainted)

My devices are

CPU: Pentium-4 2.4G
Motherboard:P4R800-VM including
ATI Radeon 9100 IGP
ATI IXP200

hda: WDC WD 1200JB-00GVA0
hdb: WDC WD 1200JB-00GVA0
hdc: Lite-On DVDRW SOHW-812S
hdd: WDC WD 1600JB-98GVA0

Version-Release number of selected component (if applicable):
after kernel-2.6.10

How reproducible:
Always

Steps to Reproduce:
1.I try to remove hdc & hdd
2.replace IDE line & set BIOS in PIO Mode 0

Actual Results:  1.All kernels work fine.
2.nothing happened

Additional info:
Comment 1 Shan-Bin Chen 2005-07-22 09:45:25 EDT
a part of dmesg in 2.6.9-1.667

hdd:hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hdc: DMA disabled
drivers/ide/pci/atiixp.c:225: spin_lock(drivers/ide/ide.c:0236e3a8) already
locked by drivers/ide/ide-iops.c/1178
drivers/ide/ide-iops.c:1246: spin_unlock(drivers/ide/ide.c:0236e3a8) not locked
ide1: reset: success
Comment 2 Dave Jones 2005-08-04 02:02:56 EDT
this was actually fixed in the latest errata kernel, however there's no
workaround for the kernel that was on the install CD.  The options are..

1. Wait for FC5 test1 (Or grab boot.iso from the latest development tree)
2. Install FC3, yum update to FC4.
3. Unpack the FC4 iso, and somehow recreate it with an updated kernel image.
(This one is probably quite involved).
Comment 3 Shan-Bin Chen 2005-08-10 00:28:52 EDT
It was upgraded from FC3 to FC4 before.
I tried to compile the kernel from the development tree(Aug 8), and it stucked
in "ide1" modprobe.
If I set the kernel with "ide1=noprobe", it do work.


How to dump the panic to disk?
I need it for sending more informations.

Note You need to log in before you can comment on or make changes to this bug.